Update assigned roles for a user
PUT /api/users/{user_id}/assigned_roles
PUT /api/users/{user_id}/assigned_rolesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
user_id*string
The user ID.
Length
1 <= lengthRequest Body
application/json
Response Body
application/json
curl -X PUT "$API_BASE_URL/api/users/86fb9981-d9d2-4555-9df8-91ae92129335/assigned_roles" \ -H "Content-Type: application/json" \ -d '{ "roles": [ "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101" ] }'Operation completed successfully with no response body.
""Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
PUT /api/users/{user_id}/assigned_roles
Update assigned roles for a user
Update role assignments for a user. Assigned roles determine the permission policies and effective access granted to that account.
Required IAM Permission: Action iam:UpdateUserRole, Resource arn:api7:iam:user/%s
Parameters
user_id(path, string, required): The user ID.
Request body
Content type: application/json
roles(array, required): An array of role IDs associated with a user.
Responses
200: Operation completed successfully with no response body.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X PUT '$API_BASE_URL/api/users/{user_id}/assigned_roles'